=== debian/changelog ===
ccls (0.20190314-1) unstable; urgency=medium

  * Initial release (Closes: #926499)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 05 Apr 2019 22:35:31 +0800
