=== debian/control ===
Source: ccls
Section: devel
Priority: optional
Maintainer: Shengjing Zhu <zhsj@debian.org>
Build-Depends:
 clang,
 cmake,
 debhelper-compat (= 12),
 libclang-dev,
 llvm-dev,
 rapidjson-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/MaskRay/ccls
Vcs-Browser: https://salsa.debian.org/zhsj/ccls
Vcs-Git: https://salsa.debian.org/zhsj/ccls.git

Package: ccls
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 elpa-lsp-mode,
Description: C/C++/ObjC language server
 This originates from cquery, and supports:
 .
  * code completion (with both signature help and snippets)
  * definition/references, and other cross references
  * cross reference extensions:
    $ccls/call $ccls/inheritance $ccls/member $ccls/vars ...
  * formatting
  * hierarchies:
    call (caller/callee) hierarchy, inheritance (base/derived) hierarchy,
    member hierarchy
  * symbol rename
  * document symbols and approximate search of workspace symbol
  * hover information
  * diagnostics and code actions (clang FixIts)
  * semantic highlighting and preprocessor skipped regions
  * semantic navigation:
    $ccls/navigate
