## ccls 0.20190823

=== debian/changelog ===
ccls (0.20190823-4ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - stick with llvm-8 (thanks to Shengjing Zhu for the d/rules fix)
      LP: #1845233

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2019 18:46:36 +0200

ccls (0.20190823-4) unstable; urgency=medium

  * Rebuild against clang-8 and llvm-8

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Sep 2019 22:32:57 +0800

ccls (0.20190823-3ubuntu3) eoan; urgency=medium

  * Stick with llvm-8 for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Sep 2019 12:46:52 +0200

ccls (0.20190823-3) unstable; urgency=medium

  * debian/rules: drop libatomic hack (didn't work)
    Although it can compile, the result binary crashes at runtime
  * debian/rules: also run testcase from autopkgtest when building

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 27 Aug 2019 00:23:22 +0800

ccls (0.20190823-2) unstable; urgency=medium

  * autopkgtest: fix testdata for new version.
    Add declarationProvider in expected response

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 26 Aug 2019 03:17:39 +0800

ccls (0.20190823-1) unstable; urgency=medium

  * New upstream release 0.20190823
    + [aded3fa] ignore non-object initializationOptions (Closes: #934881)
  * debian/control: set Rules-Requires-Root to no
  * debian/control: update Standards-Version to 4.4.0 (no changes)
  * Drop patch applied in upstream

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 26 Aug 2019 01:10:22 +0800

ccls (0.20190314.1-2) unstable; urgency=medium

  * debian/tests: refactor test case
  * debian/rules: set CLANG_RESOURCE_DIR to /usr/include/clang/*
    And recommends libclang-common-*-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 11 Aug 2019 19:45:33 +0800

ccls (0.20190314.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: remove duplicate file entries
  * debian/rules: link libatomic on some 32bit architectures

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 10 Aug 2019 16:52:21 +0800
