=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Shengjing Zhu <zhsj@debian.org>
+Rules-Requires-Root: no
 Build-Depends:
- clang,
+ clang-8,
  cmake,
  debhelper-compat (= 12),
- libclang-dev,
- llvm-dev,
+ libclang-8-dev,
+ llvm-8-dev,
+ python3,
  rapidjson-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/MaskRay/ccls
 Vcs-Browser: https://salsa.debian.org/zhsj/ccls
 Vcs-Git: https://salsa.debian.org/zhsj/ccls.git
@@ -19,6 +21,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ ${ccls:Recommends},
 Suggests:
  elpa-lsp-mode,
 Description: C/C++/ObjC language server
