## ccls 0.20190823.3

=== debian/changelog ===
ccls (0.20190823.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - stick with llvm-8 for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 10:58:51 +0200

ccls (0.20190823.3-1) unstable; urgency=medium

  * New upstream release 0.20190823.3
  * debian/control: minor change for package description
  * debian/rules: python3 is only needed for test
  * debian/rules: guess clang version by directory name
  * Bump Standards-Version to 4.4.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Oct 2019 03:33:02 +0800
