## ccls 0.20190823.4

=== debian/changelog ===
ccls (0.20190823.4-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - stick with llvm-8 (thanks to Shengjing Zhu for the d/rules fix)
      LP: #1845233

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Oct 2019 06:30:48 +0100

ccls (0.20190823.4-1) unstable; urgency=medium

  * New upstream release 0.20190823.4

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Oct 2019 01:38:08 +0800
