=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  debhelper-compat (= 12),
  libclang-8-dev,
  llvm-8-dev,
- python3,
+ python3 <!nocheck>,
  rapidjson-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/MaskRay/ccls
 Vcs-Browser: https://salsa.debian.org/zhsj/ccls
 Vcs-Git: https://salsa.debian.org/zhsj/ccls.git
@@ -26,7 +26,8 @@
 Suggests:
  elpa-lsp-mode,
 Description: C/C++/ObjC language server
- This originates from cquery, and supports:
+ This originates from cquery, and is a server implementing
+ Language Server Protocol for C/C++/Objective-C. It supports:
  .
   * code completion (with both signature help and snippets)
   * definition/references, and other cross references
