=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/default.mk
 
 CLANG_VER := 8
-#CLANG_VER := $(shell realpath /usr/bin/clang | sed -e 's/.*llvm-\([0-9]\+\).*/\1/')
+#CLANG_VER := $(shell ls /usr/include/clang | grep '^[0-9]\+$$'| head -n 1)
 CLANG_RESOURCE_DIR := /usr/include/clang/$(CLANG_VER)
 CCLS_SUBSTVARS += -Vccls:Recommends=$(shell dpkg-query -S $(CLANG_RESOURCE_DIR) | sed -e 's/: .*//')
