=== debian/changelog ===
ccls (0.20190823.5-1) unstable; urgency=medium

  * New upstream release 0.20190823.5

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 13 Nov 2019 00:25:32 +0800
