=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- clang-8,
+ clang,
  cmake,
  debhelper-compat (= 12),
- libclang-8-dev,
- llvm-8-dev,
+ libclang-dev,
+ llvm-dev,
  python3 <!nocheck>,
  rapidjson-dev,
 Standards-Version: 4.4.1
