=== debian/watch ===
version=4
https://github.com/MaskRay/ccls/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz
