## ccls 0.20190823.6

=== debian/changelog ===
ccls (0.20190823.6-1~ubuntu1.20.04.1) focal; urgency=medium

  * SRU the bugfix release to make it compatible with default llvm-10
    fixing a FTBFS (LP: #1874508)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2020 22:31:35 +0200

ccls (0.20190823.6-1) unstable; urgency=medium

  * New upstream release 0.20190823.6
  * Update Standards-Version to 4.5.0 (no changes)
  * Run ccls index in autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 22 Apr 2020 15:03:08 +0800
