## ccls 0.20201025

=== CMakeLists.txt ===
--- 
+++ 
@@ -70,21 +70,25 @@
 
 find_package(Clang REQUIRED)
 
-target_link_libraries(ccls PRIVATE
-  clangIndex
-  clangFormat
-  clangTooling
-  clangToolingInclusions
-  clangToolingCore
-  clangFrontend
-  clangParse
-  clangSerialization
-  clangSema
-  clangAST
-  clangLex
-  clangDriver
-  clangBasic
-)
+if(CLANG_LINK_CLANG_DYLIB)
+  target_link_libraries(ccls PRIVATE clang-cpp)
+else()
+  target_link_libraries(ccls PRIVATE
+    clangIndex
+    clangFormat
+    clangTooling
+    clangToolingInclusions
+    clangToolingCore
+    clangFrontend
+    clangParse
+    clangSerialization
+    clangSema
+    clangAST
+    clangLex
+    clangDriver
+    clangBasic
+  )
+endif()
 
 if(LLVM_LINK_LLVM_DYLIB)
   target_link_libraries(ccls PRIVATE LLVM)
@@ -116,6 +120,10 @@
   target_link_libraries(ccls PRIVATE thr)
 endif()
 
+if(LLVM_ENABLE_ZLIB)
+  find_package(ZLIB)
+endif()
+
 ### Definitions
 
 # Find Clang resource directory with Clang executable.
@@ -146,10 +154,21 @@
 ### Includes
 
 if(USE_SYSTEM_RAPIDJSON)
-  find_package(RapidJSON QUIET)
+  set(RapidJSON_MIN_VERSION "1.1.0")
+  find_package(RapidJSON ${RapidJSON_MIN_VERSION} QUIET)
+  if(NOT DEFINED RapidJSON_INCLUDE_DIRS AND DEFINED RAPIDJSON_INCLUDE_DIRS)
+    set(RapidJSON_INCLUDE_DIRS "${RAPIDJSON_INCLUDE_DIRS}")
+  endif()
 endif()
 if(NOT RapidJSON_FOUND)
-  set(RapidJSON_INCLUDE_DIRS third_party/rapidjson/include)
+  if(EXISTS "${CMAKE_SOURCE_DIR}/third_party/rapidjson/include")
+    message(STATUS "Using local RapidJSON")
+    set(RapidJSON_INCLUDE_DIRS third_party/rapidjson/include)
+  else()
+    message(STATUS "Plase initialize rapidJSON git submodule as currently installed version is to old:")
+    message(STATUS "git submodule init && git submodule update")
+    message(FATAL_ERROR "RapidJSON version is likely too old. See https://github.com/MaskRay/ccls/issues/455")
+  endif()
 endif()
 
 target_include_directories(ccls PRIVATE src)
@@ -236,3 +255,5 @@
 
 set_property(SOURCE src/main.cc APPEND PROPERTY
              COMPILE_DEFINITIONS CCLS_VERSION=\"${CCLS_VERSION}\")
+set_property(SOURCE src/messages/initialize.cc APPEND PROPERTY
+             COMPILE_DEFINITIONS CCLS_VERSION=\"${CCLS_VERSION}\")
