=== debian/changelog ===
ccls (0.20201025-1) unstable; urgency=medium

  * New upstream release 0.20201025
  * Bump debhelper-compat to 13
  * Update autopkgtest cases for new version

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 26 Oct 2020 16:26:47 +0800
