=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  clang,
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libclang-dev,
  llvm-dev,
  python3 <!nocheck>,
