## ccls 0.20201219

=== debian/changelog ===
ccls (0.20201219-1) unstable; urgency=medium

  * New upstream release 0.20201219

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Dec 2020 13:53:48 +0800

ccls (0.20201025-2) unstable; urgency=medium

  * Fix version detection in autopkgtest (Closes: #976994)
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 10 Dec 2020 22:55:45 +0800
