=== debian/changelog ===
ccls (0.20210330-1) unstable; urgency=medium

  * New bugfix release 0.20210330

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Apr 2021 02:02:37 +0800
