=== debian/tests/control ===
Tests: lsp-test
Depends:
 python3,
 @,
Restrictions: allow-stderr
