=== debian/changelog ===
ccls (0.20220729-2) unstable; urgency=medium

  * Fix uscan watch file
  * Update Standards-Version to 4.6.2 (no changes)
  * Move elpa-lsp-mode to Enhances and add vim-ale

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 28 Jan 2023 23:48:30 +0800

ccls (0.20220729-1) unstable; urgency=medium

  * New upstream release 0.20220729 (Closes: #1016275)
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 30 Jul 2022 02:14:46 +0800
