=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  llvm-dev,
  python3 <!nocheck>,
  rapidjson-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/MaskRay/ccls
 Vcs-Browser: https://salsa.debian.org/zhsj/ccls
 Vcs-Git: https://salsa.debian.org/zhsj/ccls.git
@@ -23,8 +23,9 @@
  ${shlibs:Depends},
 Recommends:
  ${ccls:Recommends},
-Suggests:
+Enhances:
  elpa-lsp-mode,
+ vim-ale,
 Description: C/C++/ObjC language server
  This originates from cquery, and is a server implementing
  Language Server Protocol for C/C++/Objective-C. It supports:
