## ccls 0.20230717

=== debian/changelog ===
ccls (0.20230717-1build2) noble; urgency=medium

  * Rebuild against new llvm-toolchain-17 on riscv64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Nov 2023 08:46:21 +0100

ccls (0.20230717-1build1) noble; urgency=medium

  * No-change rebuild to build with LLVM 17.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Nov 2023 05:25:39 +0100

ccls (0.20230717-1) unstable; urgency=medium

  * New upstream release 0.20230717
    + Supports LLVM-16 (Closes: #1051860)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 14 Sep 2023 19:25:36 +0800
