=== debian/changelog ===
ccls (0.20240202-1build1) oracular; urgency=medium

  * No-change rebuild against libllvm18.

 -- Rik Mills <rikmills@kde.org>  Mon, 22 Jul 2024 12:30:43 +0100

ccls (0.20240202-1) unstable; urgency=medium

  * New upstream release 0.20240202
    + Supports LLVM-18

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 21 Apr 2024 00:03:33 +0800
