## ccls 0.20240505

=== debian/changelog ===
ccls (0.20240505-1) unstable; urgency=medium

  * New upstream release 0.20240505
    + Supports LLVM-19 (Closes: #1084244)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 07 Oct 2024 18:54:26 +0800
