## ccls 0.20241108

=== debian/changelog ===
ccls (0.20241108-1build1) plucky; urgency=medium

  * No-change rebuild for LLVM 20.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2025 22:01:41 +0100

ccls (0.20241108-1) unstable; urgency=medium

  * New upstream release 0.20241108
  * Bump Standards-Version to 4.7.0 (no changes)
  * Adapt lsp testcase in autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 15 Nov 2024 06:23:03 +0800
