=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,4 @@
 
 # upstream tests need building with clang-6, but we don't
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	CCLS=obj-$(DEB_HOST_GNU_TYPE)/ccls debian/tests/lsp-test
-	rm -rf debian/tests/.ccls-cache
-endif
