## ccls 0.20250815

=== CMakeLists.txt ===
--- 
+++ 
@@ -201,7 +201,6 @@
   src/filesystem.cc
   src/fuzzy_match.cc
   src/main.cc
-  src/include_complete.cc
   src/indexer.cc
   src/log.cc
   src/lsp.cc
