=== debian/changelog ===
ccls (0.20250815-0ubuntu1) resolute; urgency=medium

  * New upstream version.
  * Ignore test results for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Oct 2025 11:13:52 +0100
