=== debian/rules ===
--- 
+++ 
@@ -22,4 +22,4 @@
 
 # upstream tests need building with clang-6, but we don't
 override_dh_auto_test:
-	CCLS=obj-$(DEB_HOST_GNU_TYPE)/ccls debian/tests/lsp-test
+	-CCLS=obj-$(DEB_HOST_GNU_TYPE)/ccls debian/tests/lsp-test
