=== debian/watch ===
version=4
https://github.com/MaskRay/ccls/tags (?:.*/)?v?(\d[\d\.]+)\.tar\.gz
