## ccls 0.20250815.1

=== debian/changelog ===
ccls (0.20250815.1-1) unstable; urgency=medium

  * New upstream release 0.20250815.1
  * Bump Standards-Version to 4.7.3 (no changes)
    + Supports LLVM-21 (Closes: #1122607)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 22 Jan 2026 22:30:22 +0800
